import type { _NSScrubberLayoutAttributes } from "./NSScrubberLayoutAttributes.js";
import type { _NSView } from "./NSView.js";
export declare class _NSScrubberArrangedView extends _NSView {
    static alloc(): _NSScrubberArrangedView;
    static new(): _NSScrubberArrangedView;
    init(): _NSScrubberArrangedView;
    applyLayoutAttributes$(layoutAttributes: _NSScrubberLayoutAttributes): void;
    selected(): boolean;
    setSelected$(value: boolean): void;
    highlighted(): boolean;
    setHighlighted$(value: boolean): void;
}
